Get the entries of a budget

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/budgets/{budget_id}/entries

Get the entries of a budget of a project. Each entry gives the salary cost of a person or a position for a period. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • budget_id string(uuid) Required

    Unique identifier of the budget

Responses

  • 200 application/json

    The list of budget entries

  • 400

    An identifier is not a valid UUID

  • 403

    You are not a manager of the project

  • 404

    The budget does not exist in this project

GET /data/projects/{project_id}/budgets/{budget_id}/entries
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/budgets/b35b7fb5-df86-5776-b181-68564193d36/entries" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/budgets/b35b7fb5-df86-5776-b181-68564193d36/entries"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {}
]